.TH TRAFFICSERVER_EXPORTER "1" "August 2018" "prometheus-trafficserver-exporter 0.3.2" "User Commands"
.SH NAME
prometheus-trafficserver-exporter \- Prometheus exporter for Apache Traffic Server
.SH DESCRIPTION
usage: prometheus-trafficserver-exporter [\-h] [\-\-endpoint ENDPOINT] [\-\-metrics\-file METRICS_FILE] [\-\-addr ADDR]
.TP
[\-\-port PORT] [\-\-pidfile PIDFILE] [\-\-procstats]
[\-\-no\-procstats] [\-\-no\-ssl\-verification] [\-\-max\-retries MAX_RETRIES]
[\-v]
.PP
Traffic Server exporter for Prometheus
.SS "optional arguments:"
.TP
\fB\-h\fR, \fB\-\-help\fR
show this help message and exit
.TP
\fB\-\-endpoint\fR ENDPOINT
Traffic Server's stats_over_http plugin URL (default:
http://127.0.0.1/_stats)
.TP
\fB\-\-metrics\-filefR METRICS_FILE
YAML file containing the metrics definition (default:
use the metrics file shipped within the package)
.TP
\fB\-\-addr\fR ADDR
Address to bind and listen on (default: )
.TP
\fB\-\-port\fR PORT
Port to bind and listen on (default: 9122)
.TP
\fB\-\-pidfile\fR PIDFILE
Path to trafficserver PID file; used with \fB\-\-procstats\fR
(default: \fI\,/var/run/trafficserver/server.lock\/\fP)
.TP
\fB\-\-procstats\fR
Enable process metric collection (default: True)
.TP
\fB\-\-no\-procstats\fR
Disable process metric collection (default: True)
.TP
\fB\-\-no\-ssl\-verification\fR
Disable SSL certificate verification on metric collection
(default: True)
.TP
\fB\-\-max\-retries\fR MAX_RETRIES
Maximum retries for DNS lookups or connnection
timeouts/failures (default: 0)
.TP
\fB\-v\fR, \fB\-\-verbose\fR
Verbose logging (repeat for more verbosity) (default:
0)
.SH "SEE ALSO"
The full documentation for
.B prometheus-trafficserver-exporter
is maintained as a Texinfo manual.  If the
.B info
and
.B prometheus-trafficserver-exporter
programs are properly installed at your site, the command
.IP
.B info prometheus-trafficserver-exporter
.PP
should give you access to the complete manual.
